org.apache.flume.sink.hbase

## Class HBaseSinkConfigurationConstants

- java.lang.Object
- - org.apache.flume.sink.hbase.HBaseSinkConfigurationConstants

-     public class HBaseSinkConfigurationConstants
      extends Object

  Constants used for configuration of HBaseSink and AsyncHBaseSink

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_BATCHSIZE` Maximum number of events the sink should take from the channel per transaction, if available.
    `static String` | `CONFIG_COALESCE_INCREMENTS`
    `static String` | `CONFIG_COLUMN_FAMILY` The column family which the sink should use.
    `static String` | `CONFIG_ENABLE_WAL`
    `static String` | `CONFIG_KEYTAB`
    `static String` | `CONFIG_MAX_CONSECUTIVE_FAILS`
    `static String` | `CONFIG_PRINCIPAL`
    `static String` | `CONFIG_SERIALIZER` The fully qualified class name of the serializer the sink should use.
    `static String` | `CONFIG_SERIALIZER_PREFIX` Configuration to pass to the serializer.
    `static String` | `CONFIG_TABLE` The Hbase table which the sink should write to.
    `static String` | `CONFIG_TIMEOUT`
    `static Boolean` | `DEFAULT_COALESCE_INCREMENTS`
    `static boolean` | `DEFAULT_ENABLE_WAL`
    `static int` | `DEFAULT_MAX_CONSECUTIVE_FAILS`
    `static long` | `DEFAULT_TIMEOUT`
    `static String` | `DEFAULT_ZK_ZNODE_PARENT`
    `static String` | `ZK_QUORUM`
    `static String` | `ZK_ZNODE_PARENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HBaseSinkConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_TABLE

          public static final String CONFIG_TABLE

      The Hbase table which the sink should write to.
      See Also:
        Constant Field Values

    - #### CONFIG_COLUMN_FAMILY

          public static final String CONFIG_COLUMN_FAMILY

      The column family which the sink should use.
      See Also:
        Constant Field Values

    - #### CONFIG_BATCHSIZE

          public static final String CONFIG_BATCHSIZE

      Maximum number of events the sink should take from the channel per transaction, if available.
      See Also:
        Constant Field Values

    - #### CONFIG_SERIALIZER

          public static final String CONFIG_SERIALIZER

      The fully qualified class name of the serializer the sink should use.
      See Also:
        Constant Field Values

    - #### CONFIG_SERIALIZER_PREFIX

          public static final String CONFIG_SERIALIZER_PREFIX

      Configuration to pass to the serializer.
      See Also:
        Constant Field Values

    - #### CONFIG_TIMEOUT

          public static final String CONFIG_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONFIG_ENABLE_WAL

          public static final String CONFIG_ENABLE_WAL

      See Also:
        Constant Field Values

    - #### DEFAULT_ENABLE_WAL

          public static final boolean DEFAULT_ENABLE_WAL

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONFIG_KEYTAB

          public static final String CONFIG_KEYTAB

      See Also:
        Constant Field Values

    - #### CONFIG_PRINCIPAL

          public static final String CONFIG_PRINCIPAL

      See Also:
        Constant Field Values

    - #### ZK_QUORUM

          public static final String ZK_QUORUM

      See Also:
        Constant Field Values

    - #### ZK_ZNODE_PARENT

          public static final String ZK_ZNODE_PARENT

      See Also:
        Constant Field Values

    - #### DEFAULT_ZK_ZNODE_PARENT

          public static final String DEFAULT_ZK_ZNODE_PARENT

      See Also:
        Constant Field Values

    - #### CONFIG_COALESCE_INCREMENTS

          public static final String CONFIG_COALESCE_INCREMENTS

      See Also:
        Constant Field Values

    - #### DEFAULT_COALESCE_INCREMENTS

          public static final Boolean DEFAULT_COALESCE_INCREMENTS

    - #### DEFAULT_MAX_CONSECUTIVE_FAILS

          public static final int DEFAULT_MAX_CONSECUTIVE_FAILS

      See Also:
        Constant Field Values

    - #### CONFIG_MAX_CONSECUTIVE_FAILS

          public static final String CONFIG_MAX_CONSECUTIVE_FAILS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HBaseSinkConfigurationConstants

          public HBaseSinkConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.